import java.math.BigInteger;
import java.util.Scanner;

public class Fox_old
{
	/**
	 * @param args
	 */
	public static void main(String[] args)
	{
		test(-250,150);
		test(-100,150);
		// System.out.println(Integer.MAX_VALUE);
		// System.out.println(Long.MAX_VALUE);

		Scanner sc = new Scanner(System.in);
		while (sc.hasNext())
		{
			String line = sc.nextLine();
			if (line.length() == 3 && line.compareTo("END") == 0)
			{
				break;
			}

			long t = System.currentTimeMillis();
			workFox(line);
			System.out.println(System.currentTimeMillis() - t+" ms");
		}

		sc.close();
	}

	public static void workFox(String snumber)
	{
		if (snumber.length() < 10)
		{
			workInt(snumber);
		} else if (snumber.length() < 19)
		{
			workLong(snumber);
		} else
		{
			workBig(snumber);

		}
	}

	public static void workInt(String snumber)
	{
		int number = Integer.parseInt(snumber);
		int count = computeNumbers(snumber);

		int j;
		for (int i = number;; i--)
		{
			j = computeNumbers("" + i);

			if (j == count + 1)
			{
				// TODO
				// System.out.println(i);
				System.out.println(i + "\tcislic = " + j);
				return;
			}
		}
	}

	public static void workLong(String snumber)
	{
		long number = Long.parseLong(snumber);
		int count = computeNumbers(snumber);

		int j;
		for (long i = number;; i--)
		{
			j = computeNumbers("" + i);

			if (j == count + 1)
			{
				// TODO
				// System.out.println(i);
				System.out.println(i + "\tcislic = " + j);
				return;
			}
		}
	}

	public static void workBig(String snumber)
	{
		BigInteger number = new BigInteger(snumber);
		int count = computeNumbers(snumber);

		int j;
		for (BigInteger i = number;; i = i.subtract(BigInteger.ONE))
		{
			j = computeNumbers(i.toString());

			if (j == count + 1)
			{
				// TODO
				// System.out.println(i);
				System.out.println(i + "\tcislic = " + j);
				return;
			}
		}
	}

	public static int computeNumbers(String s)
	{
		int count = 0;

		int i;
		for (char c : s.toCharArray())
		{
			if (c == '-')
			{
				continue;
			}

			i = Integer.parseInt("" + c);
			count += i;
		}

		return count;
	}

	public static void test(int from, int to)
	{
		for (int i = from; i < to; i++)
		{
			System.out.format("%d\t%d\r\n", i, computeNumbers("" + i));
		}
	}

}
