
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.LineNumberReader;
import java.io.StringReader;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Scanner;
import java.util.Set;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */



/**
 *
 * @author tym4
 */
public class Jump {
    
    static HashSet<Integer> availableIndexes;
    static int[] spots;
    
    public static void main(String[] args) throws IOException {
        BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
        Scanner sc = new Scanner(System.in);
         
        int pebbles;
        String[] spotsStr;
        
        
        while((pebbles = sc.nextInt()) != 0){
            spotsStr = br.readLine().split(" ");
            
            availableIndexes = new HashSet<>(pebbles);
            for (int i = 0; i < pebbles; i++) {
                availableIndexes.add(i);
            }
            
            spots = new int[pebbles];
            for (int i = 0; i < pebbles; i++) {
                spots[i] = Integer.parseInt(spotsStr[i]);
            }
            
            System.out.println(jump());
            
        }
        
        
    }
    
    static int jump(){
        int first, lastIndex, maxDistance = 0, actualPebble, nextPebble, indexActual, indexNext;
        boolean right = true;
        first = spots[0];
        lastIndex = spots.length-1;
        actualPebble = first;
        indexActual = 0;
        indexNext = 1;
        
        
        while(maxDistance == lastIndex || !availableIndexes.isEmpty()){
            
//            if(right){
//                if(indexNext == lastIndex){
//                    right = false;
//                    indexNext = indexFrom -1;
//                } else{
//                    indexNext++;
//                }
//            } else{
//                if(indexNext == lastIndex){
//                    right = false;
//                    indexNext = indexFrom -1;
//                } else{
//                    indexNext++;
//                }
//            }
            
            for (Integer index : availableIndexes) {
                indexNext = index;
                nextPebble = spots[indexNext];

                if(nextPebble <= 1000000){

                    if(canJump(actualPebble, indexActual, nextPebble, indexNext)){
                        availableIndexes.remove(indexActual);
                        actualPebble = nextPebble;
                        maxDistance = indexNext > maxDistance ? indexNext : maxDistance;
                    }

                } else{
                    availableIndexes.remove(indexNext);
                }
            
            }
        }
        return maxDistance;
    }
    
    static boolean canJump(int from, int indexFrom, int to, int indexTo){
        return (from + to) == Math.abs(indexFrom - indexTo);
    }
    
}
