import java.util.Scanner;

public class Owl
{

	/**
	 * @param args
	 */
	public static void main(String[] args)
	{
		Scanner sc = new Scanner(System.in);

		while (sc.hasNext())
		{
			String line = sc.nextLine();
			if (line.compareTo("END") == 0)
			{
				break;
			}

			workOwl(Integer.parseInt(line));
		}
		
		sc.close();
	}

	public static void workOwl(int number)
	{
		int count = computeNumbers(number);

		int j;
		for (int i = number; i >= 0; i--)
		{
			j = computeNumbers(i);
			if (j == count - 1)
			{
				System.out.println(i);
				return;
			}
		}
	}

	public static int computeNumbers(int number)
	{
		int count = 0;

		String s = "" + number;

		for (char c : s.toCharArray())
		{
			int i = Integer.parseInt("" + c);
			count += i;
		}

		return count;
	}

}
